clear
cd "/Users/yuwenfang/Desktop/2023-01295_拟刊用稿/2023-01295+数据/2023-01295+运行数据"

use Data_decom.dta

gen lndis = log(distance) // 距离
gen lnhb = log(haiba)     // 海拔

global Controls1 "lndis adj river lnhb"  // 距离对数 相邻虚拟变量 流域虚拟变量 和 海拔差对数
global results= "/Users/yuwenfang/Desktop/2023-01295_拟刊用稿/2023-01295+数据/2023-01295+日志文件"

forvalues i=1(1)17{
qui ppmlhdfe s`i' $Controls1, absorb(op#year ip#year) cluster(op#ip) nolog
gen tb_Geo_`i' = exp(_b[lndis]*lndis+_b[adj]*adj+_b[river]*river+_b[lnhb]*lnhb)
gen tb_NGeo_`i' = abs(s`i'-tb_Geo_`i')
}

erase $results/GEOTB_DECOM.txt
erase $results/NGEOTB_DECOM.txt
outsheet tb_Geo_1 tb_Geo_2 tb_Geo_3 tb_Geo_4 tb_Geo_5 tb_Geo_6 tb_Geo_7 tb_Geo_8 tb_Geo_9 ///
         tb_Geo_10 tb_Geo_11 tb_Geo_12 tb_Geo_13 tb_Geo_14 tb_Geo_15 tb_Geo_16 tb_Geo_17 using $results/GEOTB_DECOM.txt,noname
outsheet tb_NGeo_1 tb_NGeo_2 tb_NGeo_3 tb_NGeo_4 tb_NGeo_5 tb_NGeo_6 tb_NGeo_7 tb_NGeo_8 tb_NGeo_9 ///
         tb_NGeo_10 tb_NGeo_11 tb_NGeo_12 tb_NGeo_13 tb_NGeo_14 tb_NGeo_15 tb_NGeo_16 tb_NGeo_17 using $results/NGEOTB_DECOM.txt,noname
