function x = machain(A)
A0 = A(:);
Q1 =  prctile(A0,33.33);  
Q2 =  prctile(A0,66.66); 
[m,n]=size(A);
A1 = zeros(m,n-1);

% 低-低
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)<=Q1) && (A(i,j+1)<=Q1)
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x1 = sum(A1); %各列加总

% 低-中
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)<=Q1) && (A(i,j+1)<=Q2) && (A(i,j+1)>Q1)
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x2 = sum(A1); %各列加总

% 低-高
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)<=Q1) && (A(i,j+1)>Q2) 
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x3 = sum(A1); %各列加总

% 中-中
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)>Q1) && (A(i,j)<=Q2) && (A(i,j+1)>Q1) && (A(i,j+1)<=Q2)
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x4 = sum(A1); %各列加总

% 中-低
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)>Q1) && (A(i,j)<=Q2) && (A(i,j+1)<=Q1) 
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x5 = sum(A1); %各列加总


% 中-高
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)>Q1) && (A(i,j)<=Q2) && (A(i,j+1)>Q2) 
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x6 = sum(A1); %各列加总

% 高-高
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)>Q2) && (A(i,j+1)>Q2) 
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x7 = sum(A1); %各列加总

% 高-中
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)>Q2)  && (A(i,j+1)>Q1) && (A(i,j+1)<=Q2)
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x8 = sum(A1); %各列加总

% 高-低
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)>Q2)  && (A(i,j+1)<=Q1)
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x9 = sum(A1); %各列加总

% 低
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)<=Q1) 
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x10 = sum(A1); %各列加总

% 中
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)>Q1) && (A(i,j)<=Q2)
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x11 = sum(A1); %各列加总

% 高
for i=1:1:m
    for j=1:1:n-1
        if (A(i,j)>Q2)
            A1(i,j)=1;
        else
            A1(i,j)=0;
        end
    end
end  
x12 = sum(A1); %各列加总

%% 概率矩阵的计算
% 处于低水平状态之和
sum10 = sum(x10);

% 处于中水平状态之和
sum11 =sum(x11);

% 处于高水平状态之和
sum12 =sum(x12);

%低-低
sum1 = sum(x1);
%低-中
sum2 = sum(x2);
%低-高
sum3 = sum(x3);

%中-中
sum4 = sum(x4);
%中-低
sum5 = sum(x5);
%中-高
sum6 = sum(x6);

%高-高
sum7 = sum(x7);
%高-中
sum8 = sum(x8);
%高-低
sum9 = sum(x9);

% 概率计算
x = zeros(3,3);
x(1,1)=sum1/sum10;  % 低-低
x(1,2)=sum2/sum10;  % 低-中
x(1,3)=sum3/sum10;  % 低-高

x(2,1)=sum5/sum11;  % 中-低
x(2,2)=sum4/sum11;  % 中-中
x(2,3)=sum6/sum11;  % 中-高

x(3,1)=sum9/sum12;  % 高-低
x(3,2)=sum8/sum12;  % 高-中
x(3,3)=sum7/sum12;  % 高-高
 
end
